Rotate API Key

Rotate an existing ApiKey

get

Rotating an API key involves generating a new key while simultaneously invalidating the old one. This practice enhances security by minimizing the window of opportunity for unauthorized access in case a key is compromised.The old key becomes invalid, and any subsequent requests must use the new key for authentication.

Authorizations
AuthorizationstringRequired
Path parameters
keystringRequired
Responses
chevron-right
200

Returns a new apikey based on provided apikey

application/json

Contains integration specific apikey information.

apiKeystring · nullableOptional

The secret key - cryptographically-secure key with a entropy between 128-1024 bits

expiresstring · date-timeOptional

The date when this key will expire - Like any secret, API keys need to be rotated regularly. Any company implementing a thoughtful security policy needs to change its API keys routinely — usually once a year or on any security incident.

get
/v1/apikey/rotate/{key}

Last updated